<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost boolean isValidNamedCharacter(org.intellij.lang.regexp.psi.RegExpNamedCharacter)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3512.7&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpElementTypes CONDITIONAL">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost boolean isValidGroupName(java.lang.String, org.intellij.lang.regexp.psi.RegExpGroup)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.4096.5&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpMatch">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost boolean supportsPropertySyntax(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpTT QUOTED_CONDITION_END">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHosts java.lang.String[][] getAllPropertyValues(com.intellij.psi.PsiElement, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.6707.61&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpParser boolean checkMatches(com.intellij.lang.PsiBuilder, com.intellij.psi.tree.IElementType, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3512.7&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpCapability MIN_OCTAL_3_DIGITS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2014.21&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHosts boolean supportConditionalCondition(org.intellij.lang.regexp.psi.RegExpAtom)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpTT NAMED_CHARACTER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3512.7&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost boolean isValidPropertyName(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpParserDefinition java.util.EnumSet&lt;org.intellij.lang.regexp.RegExpCapability&gt; getCapabilities()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.17801.16&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpParserDefinition org.intellij.lang.regexp.RegExpLexer createLexer(com.intellij.openapi.project.Project, java.util.EnumSet&lt;org.intellij.lang.regexp.RegExpCapability&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHosts boolean supportsInlineOptionFlag(char, com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.844.8&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost java.lang.Number getQuantifierValue(org.intellij.lang.regexp.psi.RegExpNumber)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2272.14&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost boolean supportsSimpleClass(org.intellij.lang.regexp.psi.RegExpSimpleClass)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.426.1&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpTT MYSQL_CHAR_EQ_BEGIN">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost boolean supportsLiteralBackspace(org.intellij.lang.regexp.psi.RegExpChar)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.426.1&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpElementTypes MYSQL_CHAR_EXPRESSION">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost boolean supportsNamedCharacters(org.intellij.lang.regexp.psi.RegExpNamedCharacter)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3512.7&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp._RegExLexer NAMED">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3512.7&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpCapability PROPERTY_VALUES">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.6707.61&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost org.intellij.lang.regexp.RegExpLanguageHost.Lookbehind supportsLookbehind(org.intellij.lang.regexp.psi.RegExpGroup)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2613.7&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpFileElementType">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpTT MYSQL_CHAR_BEGIN">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpTT PCRE_NUMBERED_GROUP_REF">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHosts java.util.Collection&lt;org.intellij.lang.regexp.psi.RegExpGroup.Type&gt; getSupportedNamedGroupTypes(org.intellij.lang.regexp.psi.RegExpElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2103.15&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHosts boolean isValidPropertyName(com.intellij.psi.PsiElement, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLexer.FlexRegExpLexer org.intellij.lang.regexp._RegExLexer getFlex()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.1834.9&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLexer.FlexRegExpLexer org.intellij.lang.regexp._RegExLexer getFlex()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;261.17801.16&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp._RegExLexer MYSQL_CHAR_EQ_EXPRESSION">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHosts java.util.EnumSet&lt;org.intellij.lang.regexp.RegExpCapability&gt; getCapabilities(org.intellij.lang.regexp.psi.RegExpElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.17801.16&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpCapability OMIT_BOTH_NUMBERS_IN_QUANTIFIERS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.4249.4&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHosts boolean supportsPropertySyntax(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost boolean characterNeedsEscaping(char, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost boolean isDuplicateGroupNamesAllowed(org.intellij.lang.regexp.psi.RegExpGroup)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpTT PCRE_CONDITIONS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpHighlighter ESC_CHARACTER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHosts boolean belongsToConditionalExpression(com.intellij.psi.PsiElement, com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHosts boolean isValidGroupName(java.lang.String, org.intellij.lang.regexp.psi.RegExpGroup)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.4096.5&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHosts boolean isValidNamedCharacter(org.intellij.lang.regexp.psi.RegExpNamedCharacter)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3512.7&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpCapability CARET_NEGATED_PROPERTIES">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.426.1&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp._RegExLexer QUOTED_CLASS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHosts boolean supportsNamedCharacters(org.intellij.lang.regexp.psi.RegExpNamedCharacter)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3512.7&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpTT RUBY_NAMED_GROUP_CALL">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.426.1&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.UnicodeCharacterNames">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3512.7&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpTT RUBY_QUOTED_NAMED_GROUP_CALL">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.426.1&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost EMPTY_COMPLETION_ITEMS_ARRAY">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.6707.61&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpCapability EXTENDED_UNICODE_CHARACTER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2014.21&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHosts boolean supportsLiteralBackspace(org.intellij.lang.regexp.psi.RegExpChar)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.426.1&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpCapability ONE_HEX_CHAR_ESCAPE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2014.21&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost boolean supportsBoundary(org.intellij.lang.regexp.psi.RegExpBoundary)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3094.26&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpTT MYSQL_CHAR_EQ_END">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.AsciiUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3512.7&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpCapability MYSQL_BRACKET_EXPRESSIONS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHosts boolean supportsSimpleClass(org.intellij.lang.regexp.psi.RegExpSimpleClass)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.426.1&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpTT PCRE_DEFINE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpElementTypes NAMED_CHARACTER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2272.14&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost java.lang.String[][] getAllPropertyValues(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.6707.61&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHosts boolean isValidPropertyValue(com.intellij.psi.PsiElement, java.lang.String, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.6707.61&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHosts boolean supportsConditionals(org.intellij.lang.regexp.psi.RegExpConditional)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHosts java.lang.Number getQuantifierValue(org.intellij.lang.regexp.psi.RegExpNumber)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2272.14&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpTT LOOKAROUND_GROUPS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpTT MYSQL_CHAR_END">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpHighlighter MATCHED_GROUPS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost EMPTY_NAMED_GROUP_TYPES">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2103.15&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp._RegExLexer QUANTIFIER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.1834.9&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpParser void parsePattern(com.intellij.lang.PsiBuilder)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHosts boolean isDuplicateGroupNamesAllowed(org.intellij.lang.regexp.psi.RegExpGroup)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost boolean supportsPossessiveQuantifiers(org.intellij.lang.regexp.psi.RegExpElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.29346.10&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpTT QUOTED_CONDITION_BEGIN">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpParserDefinition REGEXP_FILE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpFileType com.intellij.openapi.fileTypes.LanguageFileType forLanguage(com.intellij.lang.Language)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpCapability MAX_OCTAL_177">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2014.21&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpCapability MAX_OCTAL_377">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2014.21&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp._RegExLexer EMBRACED_HEX">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2014.21&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHosts org.intellij.lang.regexp.RegExpLanguageHost.Lookbehind supportsLookbehind(org.intellij.lang.regexp.psi.RegExpGroup)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2613.7&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpCapability NO_DANGLING_METACHARACTERS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2014.21&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp._RegExLexer NON_QUANTIFIER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.7141.44&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpElementTypes MYSQL_CHAR_EQ_EXPRESSION">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost boolean isValidPropertyValue(java.lang.String, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.6707.61&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpCapability TRANSFORMATION_ESCAPES">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.1834.9&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHosts boolean supportsBoundary(org.intellij.lang.regexp.psi.RegExpBoundary)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3094.26&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpTT PCRE_RECURSIVE_NAMED_GROUP_REF">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpCapabilitiesProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpCapability SHORTHAND_CLASS_RANGE_END_ERROR">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.17801.16&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpElementTypes NUMBER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2272.14&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpTT CONDITIONAL">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpTT ANGLE_BRACKET_CONDITION_BEGIN">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpParserDefinition org.intellij.lang.regexp.RegExpParser createParser(com.intellij.openapi.project.Project, java.util.EnumSet&lt;org.intellij.lang.regexp.RegExpCapability&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpTT PCRE_BRANCH_RESET">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost boolean supportConditionalCondition(org.intellij.lang.regexp.psi.RegExpAtom)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpTT PCRE_VERSION">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpMatchResult">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2014.21&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpBundle">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpMatcherProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2014.21&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpHighlighter META">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHosts boolean supportsPossessiveQuantifiers(org.intellij.lang.regexp.psi.RegExpElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.3224.1&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpCapability PCRE_CONDITIONS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpCapability PCRE_NUMBERED_GROUP_REF">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost.Lookbehind">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2613.7&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp._RegExLexer yycolumn">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp._RegExLexer NEGATED_CLASS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2272.14&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpMatchResult INCOMPLETE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpMatch RegExpMatch(int, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.6682.168&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost java.util.EnumSet&lt;org.intellij.lang.regexp.psi.RegExpGroup.Type&gt; getSupportedNamedGroupTypes(org.intellij.lang.regexp.psi.RegExpElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2103.15&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp._RegExLexer PCRE_NUMBERED_GROUP">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpCapability MIN_OCTAL_2_DIGITS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2014.21&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp._RegExLexer CONDITIONAL2">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp._RegExLexer CONDITIONAL1">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpTT ANGLE_BRACKET_CONDITION_END">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpTT ATOMIC_GROUP">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2613.7&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpCapability WHITESPACE_IN_CLASS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.3283.2&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpCapability SHORTHAND_CLASS_RANGE_START_ERROR">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.17801.16&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost boolean belongsToConditionalExpression(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpMatchResult FOUND">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpTT EQ">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.6707.61&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp._RegExLexer MYSQL_CHAR_EXPRESSION">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpParserDefinition java.util.EnumSet&lt;org.intellij.lang.regexp.RegExpCapability&gt; getDefaultCapabilities()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpParserDefinition java.util.EnumSet&lt;org.intellij.lang.regexp.RegExpCapability&gt; getDefaultCapabilities()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;261.17801.16&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpCapability PCRE_BACK_REFERENCES">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp.RegExpLanguageHost boolean supportsInlineOptionFlag(char, com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.844.8&quot;"/>
    </annotation>
  </item>
  <item name="org.intellij.lang.regexp._RegExLexer YYEOF">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.426.1&quot;"/>
    </annotation>
  </item>
</root>
